Name:           python-pygdm2
Version:        1.1.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A python full-field electrodynamical solver, based on the Green dyadic method (volume integral technique in frequency domain).

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://gitlab.com/wiechapeter/pyGDM2
Source:         %{pypi_source pygdm2}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pygdm2' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pygdm2
Summary:        %{summary}

%description -n python3-pygdm2 %_description


%prep
%autosetup -p1 -n pygdm2-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pygdm2 -f %{pyproject_files}


%changelog
%autochangelog